@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

* {
    margin: 0px;
    padding: 0px;
    transition: all 0.3s;
}

html {
    scroll-behavior: smooth;
    height: 100%;
    transition: all 0.3s;
}

body {
    margin: 0px;
    padding: 0px;
    height: 100%;
    width: 100%;
    font-family: 'Montserrat';
    background-color: white;
}

h1 {
    font-size: 1.7em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.4em;
}

p {
    font-size: 1.2em;
}

.navbar-container {
    background-color: white;
    position: fixed;
    width: 100%;
    z-index: 50;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
}

.logo-img {
    display: block;
    height: 80px;
}

.logo-none {
    opacity: 0%;
}

.navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.navbar ul li {
    float: left;
    padding: 15px;
    cursor: pointer;
}

.navbar ul li a {
    display: block;
    text-align: center;
    text-decoration: none;
    padding: 15px;
    color: black;
}

.navbar ul li:hover {
    background-color: #EEEEEE;
}

.mobile-navbar-container {
    display: none;
}

.mobile-navbar {
    background-color: rgba(0, 0, 0, 0.4);
    padding: 10px 0px;
    display: none;
}

.mobile-navbar ul {
    list-style-type: none;
}

.mobile-navbar ul li {
    padding: 10px 0px;
}

.mobile-navbar ul li a {
    padding: 10px 0px;
    text-decoration: none;
    color: white;
    font-size: 20px;
}


.small-spacer {
    height: 60px;
}

.section-class {
    padding: 60px 0px;
}

.section-limited {
    margin: 0 auto;
    max-width: 1200px;
}


.main-word {
    font-size: 5em;
}

.main-img {
    max-width: 50%;
    height: 400px;
    overflow: hidden;
    border-radius: 15px;
}

.main-img img {
    max-width: 120%;
    height: auto;
    /* Maintain aspect ratio */
    flex: 1 1 auto;
    /* Allow images to grow and shrink */
    object-fit: contain;
}





.main-title {
    background-image: url(/assets/bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    font-family: Audiowide, Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    width: 100%;
    height: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main-title h1 {
    font-size: 5em;
    color: white;
    text-shadow: 0px 0px 20px #000000, 0px 0px 20px #000000, 0px 0px 20px #000000, 0px 0px 20px #000000;
}

.main-title h3 {
    color: white;
    text-shadow: 0px 0px 20px #000000, 0px 0px 20px #000000, 0px 0px 20px #000000, 0px 0px 20px #000000;
}

.cta-button {
    background-color: white;
    padding: 20px;
    border-radius: 15px;
}

.cta-button a {
    padding: 20px;
    text-decoration: none;
    font-size: 1.1em;
    color: #3C096C;
}

.cta-button:hover {
    background-color: #FF7900;
}

.cta-button a:hover {
    color: white;
}

.center-words {
    margin: 0 auto;
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.center-words p {
    max-width: 800px;
}

.info-text-flex {
    display: flex;
    flex-direction: row;
    flex: 1;
    align-items: center;
    background-color: #c7a0e7;
    border-radius: 15px;
}

.tall {
    height: 800px;
}

.info-text {
    flex: 1;
    padding: 60px;
}

.info-image-1 {
    max-width: 50%;
    height: 800px;
    overflow: hidden;
    border-radius: 15px;
}

.info-image-1 img {
    max-width: 200%;
    height: auto;
    /* Maintain aspect ratio */
    flex: 1 1 auto;
    /* Allow images to grow and shrink */
    object-fit: contain;
}

.reverse {
    flex-direction: row-reverse;
}

.service-container {
    text-align: center;
}

.services-container {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 20px;
    margin-top: 30px;
}

.services {
    border: 2px black solid;
    border-radius: 15px;
    text-align: left;
    padding: 25px;
}

.services i {
    padding: 10px;
    font-size: 36px;
}

.services:hover {
    box-shadow: 0px 0px 12px #FF7900, 0px 0px 8px #FF7900, 0px 0px 5px #FF7900;
    border: 2px solid #FF7900;
    transform: translateY(-5px);
}


.cta-container {
    background-image: url(/assets/cta-gif.gif);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    height: 50vh;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.cta-container h1,
h3 {
    color: white;
    text-shadow: 0px 0px 5px black, 0px 0px 5px black, 0px 0px 5px black;
}


.icon-grid-container {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 60px;
    text-align: center;
}

.icon-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.icon-img,
.icon-img img {
    width: 128px;
    height: 128px;
    filter: invert(55%) sepia(70%) saturate(3296%) hue-rotate(359deg) brightness(101%) contrast(108%);
}





footer {
    background-color: #3C096C;
    color: white;
    text-align: center;
    padding: 60px;
}

.footer-container {
    max-width: 40rem;
    margin: 0px auto 30px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.footer-container div {
    flex: 1;
}

.footer-link {
    text-decoration: none;
    color: white;
}

.footer-link:hover {
    color: #FF7900;
}

@media screen and (max-width: 800px) {
    h2 {
        font-size: 1.3em;
    }

    h3 {
        font-size: 1.2em;
    }

    p {
        font-size: 1em;
    }

    .small-spacer {
        height: 0px;
    }


    .navbar-container {
        display: none;
    }

    .mobile-navbar-container {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
    }

    .mobile-navbar {
        display: none;
        position: fixed;
        z-index: 500;
        height: 100vh;
        width: 100vw;
        background-color: #000000;
    }

    .mobile-navbar {
        padding-left: 30px;
    }

    .hamburger-icon {
        display: block;
        font-size: 2em;
        padding-right: 20px;
    }

    .section-class {
        padding: 30px 20px;
    }

    .main-word {
        font-size: 3em;
    }

    .main-img {
        max-width: 100%;
        height: auto;
    }

    .main-img img {
        max-width: 120%;
    }

    .main-title {
        height: 400px;
    }


    .main-title h1 {
        font-size: 1.2em;
    }

    .tall {
        height: auto;
    }

    .info-text-flex,
    .reverse {
        flex-direction: column-reverse;
    }

    .info-text {
        padding: 30px;
    }

    .info-image-1 {
        max-width: 100%;
        height: 250px;
    }

    .info-image-1 img {
        max-width: 120%;
    }

    .services-container {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }

    .icon-grid-container {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 20px;
    }

    .icon-img,
    .icon-img img {
        width: 64px;
        height: 64px;
    }


    iframe {
        width: 300px;
    }

    .footer-container {
        flex-direction: column;
    }
}